
/* Simple program -- figure out what kind of video display we have */

#include <stdio.h>
#include <stdlib.h>

#include "SDL.h"

int main(int argc, char *argv[])
{
	SDL_PixelFormat format;

	if ( SDL_Init(SDL_INIT_VIDEO) < 0 ) {
		fprintf(stderr,
			"Couldn't initialize SDL: %s\n", SDL_GetError());
		exit(1);
	}
	SDL_GetDisplayFormat(&format);
	printf("Current display: %d bits-per-pixel\n", format.BitsPerPixel);
	printf("	Red Mask = 0x%.8x\n", format.Rmask);
	printf("	Green Mask = 0x%.8x\n", format.Gmask);
	printf("	Blue Mask = 0x%.8x\n", format.Bmask);
	SDL_Quit();
	exit(0);
}
